@import url('https://fonts.googleapis.com/css2?family=Jost:ital,wght@0,100..900;1,100..900&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Jost", sans-serif;
}

:root {
    --black-color: #000;
    --top-bar-margin: 20px;
    --white-color: #fff;
    --red-color: #ff0000;
    --yellow-color: #FFBA00;
    --transferent-color: #ffffff1d;
    --menu-border: 1px solid #dedede;
    --menu-heading-gray-color: #6f6f6f;
}

a {
    text-decoration: none;
}

body {
    width: 100%;
    height: auto;
    position: relative;
    /* background-color: #000; */
}

.top_bar {
    width: 100%;
    height: 80px;
    background-color: var(--black-color);
    position: absolute;
    top: 0;
    left: 0;
    z-index: 5;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.top_bar .left_side_logo_bar_searching {
    width: auto;
    height: auto;
    display: flex;
    align-items: center;
    margin-left: var(--top-bar-margin);
}

.top_bar .left_side_logo_bar_searching .logo_name {
    width: auto;
    height: 60px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.top_bar .left_side_logo_bar_searching .logo_name .logo {
    width: 50px;
    height: 50px;
}

.top_bar .left_side_logo_bar_searching .logo_name .logo img {
    width: 100%;
    height: 100%;
}

.top_bar .left_side_logo_bar_searching .logo_name .name {
    width: auto;
    height: auto;
    font-size: 17px;
    font-weight: 600;
    text-transform: uppercase;
    color: var(--white-color);
    margin-left: 5px;
}

.top_bar .left_side_logo_bar_searching .click_bar {
    width: 40px;
    height: 40px;
    background-color: var(--white-color);
    display: flex;
    align-items: center;
    justify-content: center;
    margin-left: 10px;
    border-radius: 4px;
    cursor: pointer;
}

.top_bar .left_side_logo_bar_searching .searching_bar {
    width: 300px;
    height: 55px;
    background-color: var(--transferent-color);
    margin-left: var(--top-bar-margin);
    border-radius: 6px;
    display: flex;
    align-items: center;
    justify-content: space-evenly;
}

.top_bar .left_side_logo_bar_searching .searching_bar .full_search {
    width: auto;
    height: auto;
    display: flex;
    align-items: center;
    justify-content: center;
}

.top_bar .left_side_logo_bar_searching .searching_bar .full_search .search_icon {
    color: var(--white-color);
}

.top_bar .left_side_logo_bar_searching .searching_bar .full_search input {
    width: 210px;
    height: auto;
    border: none;
    background: none;
    margin-left: 5px;
    color: var(--white-color);
    font-size: 16px;
}

.top_bar .left_side_logo_bar_searching .searching_bar .full_search input:focus {
    outline: none;
}

.top_bar .left_side_logo_bar_searching .searching_bar .filter_icon {
    width: 30px;
    height: 30px;
    background-color: var(--white-color);
    border-radius: 5px;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
}

.top_bar .right_side_profile_manage {
    width: 150px;
    height: auto;
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-right: var(--top-bar-margin);
}

.top_bar .right_side_profile_manage .notification {
    width: 33px;
    height: 33px;
    background-color: var(--white-color);
    border-radius: 5px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.top_bar .right_side_profile_manage .profile_setting {
    width: 90px;
    height: 45px;
    background-color: #ffeb9b;
    border-radius: 50px;
    display: flex;
    align-items: center;
    justify-content: space-evenly;
}

.top_bar .right_side_profile_manage .profile_setting .profile_pic {
    width: 35px;
    height: 35px;
    border-radius: 50%;
}

.top_bar .right_side_profile_manage .profile_setting .profile_pic img {
    width: 100%;
    height: 100%;
    border-radius: 50%;
}

.top_bar .right_side_profile_manage .profile_setting .setting_icon {
    width: auto;
    height: auto;
    display: flex;
    align-items: center;
    justify-content: center;
}



.left_bar {
    width: 260px;
    height: 615px;
    background-color: var(--white-color);
    position: absolute;
    left: 0;
    top: 80px;
    display: flex;
    align-items: center;
    flex-direction: column;
}

.left_bar .deshboard_menu {
    width: 240px;
    height: 110px;
    flex-direction: column;
    border-bottom: var(--menu-border);
}

.left_bar .deshboard_menu .heading {
    width: 240px;
    height: 50px;
    display: flex;
    align-items: center;
    font-size: 17px;
    font-weight: 600;
    color: var(--menu-heading-gray-color);

}

.left_bar .deshboard_menu .deshboard_btn {
    width: 240px;
    height: 50px;
    display: flex;
    align-items: center;
    border-radius: 5px;
    transition: 0.3s all ease;
}

.left_bar .deshboard_menu .deshboard_btn:hover {
    background-color: #0000001d;
    transition: 0.3s all ease;
    /* border: none; */
}

.left_bar .deshboard_menu .deshboard_btn span {
    padding-left: 20px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.left_bar .deshboard_menu .deshboard_btn p {
    padding-left: 10px;
    color: #000;
}

.left_bar .pages_menu {
    width: 240px;
    height: auto;
    flex-direction: column;
}

.left_bar .pages_menu .heading {
    width: 240px;
    height: 50px;
    display: flex;
    align-items: center;
    font-size: 17px;
    font-weight: 600;
    color: var(--menu-heading-gray-color);

}

.left_bar .pages_menu .full_menu {
    width: 240px;
    height: auto;
}
.left_bar .pages_menu .full_menu .sub_menu{
    width: 240px;
    height: 0;
    opacity: 0;
    background-color: #fff7d8;
    transition: 0.5s all ease;
}
.left_bar .pages_menu .full_menu .sub_menu.active{
    height: 100px;
    opacity: 1;
}
.left_bar .pages_menu .full_menu .sub_menu .sub_page_btn {
    width: 240px;
    height: 40px;
    display: flex;
    align-items: center;
    border-radius: 5px;
    transition: 0.3s all ease;
    position: relative;
    top: 2px;
}
.left_bar .pages_menu .full_menu .sub_menu .sub_page_btn:hover {
    background-color: #74030333;
    transition: 0.3s all ease;
}

.left_bar .pages_menu .full_menu .sub_menu .sub_page_btn span {
    padding-left: 20px;
    display: flex;
    align-items: center;
    justify-content: center;
    color: var(--yellow-color);
}

.left_bar .pages_menu .full_menu .sub_menu .sub_page_btn p {
    padding-left: 10px;
    color: #000;
}


.left_bar .pages_menu .full_menu .page_btn {
    width: 240px;
    height: 40px;
    display: flex;
    align-items: center;
    border-radius: 5px;
    transition: 0.3s all ease;
    position: relative;
    border: var(--menu-border);
    margin-top: 5px;
}

.left_bar .pages_menu .full_menu .page_btn:hover {
    background-color: #0000000b;
    transition: 0.3s all ease;
    /* border: none; */
}

.left_bar .pages_menu .full_menu .page_btn span {
    padding-left: 20px;
    display: flex;
    align-items: center;
    justify-content: center;
    color: var(--yellow-color);
}

.left_bar .pages_menu .full_menu .page_btn p {
    padding-left: 10px;
    color: #000;
}

.left_bar .pages_menu .full_menu .page_btn .arrow_down {
    width: auto;
    height: auto;
    display: flex;
    align-items: center;
    justify-content: center;
    position: absolute;
    right: 10px;
    color: var(--red-color);
}


/* right side design...................................... */
/*  ................................. */
/* ........................................................... */
/*  ................................. */
/* ........................................................... */
/*  ................................. */
/* ........................................................... */


.right_bar {
    width: 1276px;
    background-color: #ffeb9b;
    height: 615px;
    position: absolute;
    left: 260px;
    top: 80px;
    z-index: 5;
    overflow: auto;
    display: flex;
    align-items: center;
    flex-direction: column;
}
.right_bar .top_buttons{
    width: 90%;
    height: 70px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-top: 20px;
}
.right_bar .top_buttons .create_catagory{
    width: 170px;
    height: 40px;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-right: 20px;
    /* cursor: pointer; */
    font-size: 20px;
    font-weight: 600;
    
}
.right_bar .top_buttons .add_product{
    width: 170px;
    height: 40px;
    background-color: #ffffff;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 5px;
    margin-right: 20px;
    cursor: pointer;
    position: relative;
    z-index: 0;
    /* overflow: hidden; */
    box-shadow: 0 2px 6px #1039921a;
}
.right_bar .top_buttons .add_product .heading{
    position: relative;
    z-index: 2;
}
.right_bar .top_buttons .add_product::before{
    position: absolute;
    content: '';
    width: 0;
    height: 100%;
    top: 0;
    left: 0;
    background-color: #fffdcd;
    transition: 0.4s all ease;
    z-index: 1;
    border-radius: 5px 0 0 5px;
}
.right_bar .top_buttons .add_product:hover::before{
    width: 50%;
    transition: 0.4s all ease;
}
.right_bar .top_buttons .add_product::after{
    position: absolute;
    content: '';
    width: 0;
    height: 100%;
    top: 0;
    right: 0;
    background-color: #fffdcd;
    transition: 0.4s all ease;
    z-index: 1;
    border-radius: 0 5px 5px 0;
}
.right_bar .top_buttons .add_product:hover::after{
    width: 50%;
    transition: 0.4s all ease;
}
.right_bar .searching_of_table{
    width: 90%;
    height: 50px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-top: 20px;
}
.right_bar .searching_of_table .full_search{
    width: 270px;
    height: 40px;
    background-color: #00000028;
    border-radius: 6px;
    display: flex;
    align-items: center;
    justify-content: space-around;
}
.right_bar .searching_of_table .full_search .search_icon{
    width: 30px;
    height: 30px;
    background-color: var(--white-color);
    border-radius: 5px;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    color: var(--yellow-color);
    border: none;
    outline: none;
}
.right_bar .searching_of_table .full_search input{
    width: 210px;
    height: auto;
    border: none;
    background: none;
    padding-left: 5px;
    /* margin-left: 5px; */
    color: var(--black-color);
    font-size: 16px;
    outline: none;
}
.right_bar .searching_of_table .full_search input::placeholder{
    color: var(--white-color);
}
.right_bar .table_of_product{
    width: 90%;
    height: auto;
    margin-top: 30px;
}
.right_bar .table_of_product table{
    width: 100%;
    height: auto;
    text-align: center;
    border-collapse:separate;
    border-spacing: 0 10px;
}
.right_bar .table_of_product table thead .heading{
    border: 1px solid teal;
}
.right_bar .table_of_product table th{
    height: 40px;
    border-collapse: none;
}
.right_bar .table_of_product table td img{
    width: 60px;
    height: 60px;
    margin-top: 5px;
}
.right_bar .table_of_product table .action{
    position: relative;

}
.right_bar .table_of_product table .action .two_btn{
    width: 90px;
    height: 105px;
    background-color: #ffffffb3;
    position: absolute;
    top: 50px;
    left: 90px;
    z-index: 9;
}
.right_bar .table_of_product table .action .two_btn .view{
    width: 100%;
    height: 35px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-bottom: 1px solid rgb(205, 205, 205);
    color: #000;
}
.right_bar .table_of_product table .action .two_btn .delete{
    width: 100%;
    height: 35px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-bottom: 1px solid rgb(205, 205, 205);
    color: #000;
}
.right_bar .table_of_product table .action .two_btn .edit{
    width: 100%;
    height: 35px;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #000;
}
/* .right_bar .table_of_product table .first{
    border-radius: 5px;
    background-color: var(--white-color);

} */
/* .order-table tbody td {
    padding: 15px;
    font-size: 15px;
    vertical-align: middle;
} */

/* Specific styling for rounded corners on the first and last cells of a row */
.right_bar .table_of_product table .first td:first-child {
    border-top-left-radius: 5px;
    border-bottom-left-radius: 5px;
}
.right_bar .table_of_product table .first td:last-child {
    border-top-right-radius: 5px;
    border-bottom-right-radius: 5px;
}
.right_bar .table_of_product table .first{
    /* box-shadow: rgba(0, 0, 0, 0.16) 0px 1px 4px; */
    border-color: red;

}
.right_bar .table_of_product table .first td{
    background-color: #ffae0049;
    
}

.right_bar .table_of_product table .second td{
    background-color: #6f6f6f4f;
}
.right_bar .table_of_product table .second td:first-child {
    border-top-left-radius: 5px;
    border-bottom-left-radius: 5px;
}
.right_bar .table_of_product table .second td:last-child {
    border-top-right-radius: 5px;
    border-bottom-right-radius: 5px;
}